## org.eclipse.uml2.uml
Enum ObjectNodeOrderingKind

    java.lang.Object
      java.lang.Enum<ObjectNodeOrderingKind>
          org.eclipse.uml2.uml.ObjectNodeOrderingKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ObjectNodeOrderingKind>, org.eclipse.emf.common.util.Enumerator

    public enum ObjectNodeOrderingKind

extends java.lang.Enum<ObjectNodeOrderingKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Object Node Ordering Kind', and utility methods for working with them. ObjectNodeOrderingKind is an enumeration indicating queuing order within a node.

See Also:
  `UMLPackage.getObjectNodeOrderingKind()`

Enum Constant Summary
`FIFO_LITERAL` The 'FIFO' literal object
`LIFO_LITERAL` The 'LIFO' literal object
`ORDERED_LITERAL` The 'Ordered' literal object
`UNORDERED_LITERAL` The 'Unordered' literal object

Field Summary
`static int` `FIFO` The 'FIFO' literal value
`static int` `LIFO` The 'LIFO' literal value
`static int` `ORDERED` The 'Ordered' literal value
`static int` `UNORDERED` The 'Unordered' literal value
`static java.util.List<ObjectNodeOrderingKind>` `VALUES` A public read-only list of all the 'Object Node Ordering Kind' enumerators

Method Summary
`static ObjectNodeOrderingKind` `get(int value)` Returns the 'Object Node Ordering Kind' literal with the specified integer value
`static ObjectNodeOrderingKind` `get(java.lang.String literal)` Returns the 'Object Node Ordering Kind' literal with the specified literal value
`static ObjectNodeOrderingKind` `getByName(java.lang.String name)` Returns the 'Object Node Ordering Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ObjectNodeOrderingKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ObjectNodeOrderingKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNORDERED_LITERAL

    public static final ObjectNodeOrderingKind UNORDERED_LITERAL

  The 'Unordered' literal object.

  See Also:
    `UNORDERED`

### ORDERED_LITERAL

    public static final ObjectNodeOrderingKind ORDERED_LITERAL

  The 'Ordered' literal object.

  See Also:
    `ORDERED`

### LIFO_LITERAL

    public static final ObjectNodeOrderingKind LIFO_LITERAL

  The 'LIFO' literal object.

  See Also:
    `LIFO`

### FIFO_LITERAL

    public static final ObjectNodeOrderingKind FIFO_LITERAL

  The 'FIFO' literal object.

  See Also:
    `FIFO`

Field Detail

### UNORDERED

    public static final int UNORDERED

  The 'Unordered' literal value. Indicates that object node tokens are unordered.

  See Also:
    `UNORDERED_LITERAL`, Constant Field Values

### ORDERED

    public static final int ORDERED

  The 'Ordered' literal value. Indicates that object node tokens are ordered.

  See Also:
    `ORDERED_LITERAL`, Constant Field Values

### LIFO

    public static final int LIFO

  The 'LIFO' literal value. Indicates that object node tokens are queued in a last in, first out manner.

  See Also:
    `LIFO_LITERAL`, Constant Field Values

### FIFO

    public static final int FIFO

  The 'FIFO' literal value. Indicates that object node tokens are queued in a first in, first out manner.

  See Also:
    `FIFO_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ObjectNodeOrderingKind> VALUES

  A public read-only list of all the 'Object Node Ordering Kind' enumerators.

Method Detail

### values

    public static final ObjectNodeOrderingKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ObjectNodeOrderingKind c : ObjectNodeOrderingKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ObjectNodeOrderingKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ObjectNodeOrderingKind get(java.lang.String literal)

  Returns the 'Object Node Ordering Kind' literal with the specified literal value.

### getByName

    public static ObjectNodeOrderingKind getByName(java.lang.String name)

  Returns the 'Object Node Ordering Kind' literal with the specified name.

### get

    public static ObjectNodeOrderingKind get(int value)

  Returns the 'Object Node Ordering Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ObjectNodeOrderingKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.